GeForce FX 5900 and Mint

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read this

GeForce FX 5900 and Mint

Postby Learning is Fun on Fri Jan 16, 2009 1:42 am

I've been trying to install a driver on Mint for my GeForce FX 5900 video card. I'm running the latest version of mint and wondering do I need to go to an older version of Mint for a driver to work for my card?

The problem when I am trying to install NVIDIA-Linux-x86-173.14.12-pkg1.run is there is no kernel for it. The system tries to find one from the internet and that doesn't work, and then tries to build one and that doesn't work.

Any ideas would be helpful, thanks.

:|
Learning is Fun
Level 1
Level 1
 
Posts: 3
Joined: Fri Jan 16, 2009 1:14 am

Linux Mint is funded by ads and donations.
 

Re: GeForce FX 5900 and Mint

Postby hotweiss on Fri Jan 16, 2009 1:57 am

Learning is Fun wrote:I've been trying to install a driver on Mint for my GeForce FX 5900 video card. I'm running the latest version of mint and wondering do I need to go to an older version of Mint for a driver to work for my card?

The problem when I am trying to install NVIDIA-Linux-x86-173.14.12-pkg1.run is there is no kernel for it. The system tries to find one from the internet and that doesn't work, and then tries to build one and that doesn't work.

Any ideas would be helpful, thanks.

:|


Try these drivers:

http://www.nvidia.com/object/linux_disp ... 80.22.html

1.
Code: Select all
sudo apt-get remove nvidia*


2. Ctrl-Alt-F1

3.
Code: Select all
sudo /etc/init.d/gdm stop


4. sudo sh ./NVIDIA.....

5.
Code: Select all
sudo /etc/init.d/gdm restart
hotweiss
Level 4
Level 4
 
Posts: 204
Joined: Mon Jan 21, 2008 3:12 am
Location: Warsaw, Poland

Re: GeForce FX 5900 and Mint

Postby Learning is Fun on Fri Jan 16, 2009 4:41 am

Thankyou for replying so quickly hotweiss :)

Well, I have been going through the process as described in the steps. I tried the different driver as suggested, but got the reply "The NVIDIA GeForce FX 5900 GPU installed in this system is supported through the NVIDIA 173.14.xx legacy Linux graphics drivers. Please visit http://www.nvidia.com/object/unix.html for more information. The 180.22 NVIDIA Linux graphics driver will ignore this GPU." At that link I found confirmation that my specific hardware matches up with the specific 173.14.12 driver that I was trying before.

So now I know the problem has something to do with finding the kernel and installing it from the internet or building it, neither of which Mint has been able to do. Does anyone know why?
Learning is Fun
Level 1
Level 1
 
Posts: 3
Joined: Fri Jan 16, 2009 1:14 am

Re: GeForce FX 5900 and Mint

Postby hotweiss on Fri Jan 16, 2009 11:08 am

Learning is Fun wrote:Thankyou for replying so quickly hotweiss :)

Well, I have been going through the process as described in the steps. I tried the different driver as suggested, but got the reply "The NVIDIA GeForce FX 5900 GPU installed in this system is supported through the NVIDIA 173.14.xx legacy Linux graphics drivers. Please visit http://www.nvidia.com/object/unix.html for more information. The 180.22 NVIDIA Linux graphics driver will ignore this GPU." At that link I found confirmation that my specific hardware matches up with the specific 173.14.12 driver that I was trying before.

So now I know the problem has something to do with finding the kernel and installing it from the internet or building it, neither of which Mint has been able to do. Does anyone know why?


Ok, you probably need the kernel headers then:

Code: Select all
sudo apt-get install build-essential linux-headers-`uname -r`
hotweiss
Level 4
Level 4
 
Posts: 204
Joined: Mon Jan 21, 2008 3:12 am
Location: Warsaw, Poland

Re: GeForce FX 5900 and Mint

Postby Learning is Fun on Fri Jan 16, 2009 10:18 pm

I tried that and found I did have some outdated headers.

Now with new headers, I tried installing again and found again the ERROR: Unable to connect to download.nvidia.com [unknown host] and then it attempted to build its own kernel and got the ERROR: Unable to build the NVIDIA Kernel module.
Learning is Fun
Level 1
Level 1
 
Posts: 3
Joined: Fri Jan 16, 2009 1:14 am

Re: GeForce FX 5900 and Mint

Postby hotweiss on Sat Jan 17, 2009 1:34 am

Learning is Fun wrote:I tried that and found I did have some outdated headers.

Now with new headers, I tried installing again and found again the ERROR: Unable to connect to download.nvidia.com [unknown host] and then it attempted to build its own kernel and got the ERROR: Unable to build the NVIDIA Kernel module.


Don't worry about the NVIDIA connection, just let the driver compile everything by itself.
hotweiss
Level 4
Level 4
 
Posts: 204
Joined: Mon Jan 21, 2008 3:12 am
Location: Warsaw, Poland


Return to Hardware Support

Who is online

Users browsing this forum: No registered users and 12 guests